Skip to content

Sync a shop now

POST
/products/{productId}/integrations/{id}/sync
curl --request POST \
--url https://api.motenya.app/v1/products/example/integrations/example/sync \
--header 'Authorization: Bearer <token>'

Instead of at the next interval; one stopped by an error is retried.

Requires crm:configure.

productId
required
string
>= 1 characters <= 64 characters
id
required
string
>= 1 characters <= 64 characters

Success

Media typeapplication/json
object
id
required
string
>= 1 characters <= 64 characters
type
required
string
Allowed values: magento2 magento1
name
required
string
baseUrl
required
string
status
required

error stops syncing until the address or credentials are fixed.

string
Allowed values: active paused error
historyMode
required
string
Allowed values: none months full
historyMonths
required
integer | null
credentialsHint
required

Which credentials are stored, e.g. “accessToken …a1b2”. They are never returned.

string
source
required

The source its records sync under; look them up with GET /sync/{type}/{source}/{externalId}.

string
shop
required
object
name
required
string
websites
required
Array<object>
object
externalId
required
string
name
required
string
currency
required
string
phase
required
string
Allowed values: history live
runningEntity
required
string | null
Allowed values: catalog_item customer order
counts
required
Array<object>
object
entity
required
string
Allowed values: catalog_item customer order
synced
required
integer
failed
required
integer
lastRecordError
required
object
entity
required
string
Allowed values: catalog_item customer order
externalId
required
string
message
required
string
syncedUntil
required
string | null
lastRunAt
required
string | null
lastSuccessAt
required
string | null
lastError
required
string | null
nextRunAt
required
string | null
createdAt
required
string
updatedAt
required
string
key
additional properties

Example

{
"type": "magento2",
"status": "active",
"historyMode": "none",
"phase": "history",
"runningEntity": "catalog_item",
"counts": [
{
"entity": "catalog_item"
}
],
"lastRecordError": {
"entity": "catalog_item"
}
}

Invalid request

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Missing, invalid, revoked or expired API key

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Missing scope, API turned off, published article without publish scope, or account suspended

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Not found, or outside the knowledge bases this key may use

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Slug or translation already exists

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Rejected by validation (e.g. unknown language or category)

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Rate limited; see Retry-After

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Internal error